Awasu 2.3.5.alpha3

IMPORTANT: This is an alpha release (what's this?). Some features may not be complete and there will probably be bugs!

You must be already running 2.3.4 or 2.3.5.alpha1 or 2.3.5.alpha2..

To install:

 

Minor changes and bug fixes